Quick Question, How do I update to 4.0 on a virgin wii ??

Discussion in 'Wii - Hacking' started by 3dluis, Jul 16, 2009.

  1. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
  2. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
    can I get a answer quick, i want to start hacking away [​IMG]
     
  3. kingofsnake

    Newcomer kingofsnake Advanced Member

    Joined:
    Mar 30, 2009
    Messages:
    64
    Country:
    United Kingdom
    4.1 seems to be OK for softmodding, going by other reports.
     
  4. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
  5. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    That method in the guide you just posted is better than those other two and safer for possibly newer Wii's if Nintendo gave you a more recent one. The Trucha Bug Restorer works on any type of Wii on any firmware out now so just do that guide from where you are now.

    All you need to do from whatever firmware you are at now is run bannerbomb with the hackmii installer and install the most recent HBC and bootmii (to boot2 if possible and if you can do a boot2 install use it to backup your NAND). Then run the trucha bug restorer and do as shown in this video:

    http://www.youtube.com/watch?v=ltrd3oq8hPc...re=channel_page

    This is slightly different from what that guide says to do in it as it installs a patched IOS36 with the trucha bug to IOS36 instead of IOS249 where your cIOS will overwrite it anyways. I believe installing to IOS36 as the video shows will allow you to use preloader though so I'd say just go with the video.

    Then once you do that just run the cIOS rev13a installer and choose IOS36 and do a network installation (provided you followed the video and have wifi).

    Then you will have everything you need to use backups and what not and if you want to update to 4.0 instead of 4.1 you could use Waninkoko's 4.0 updater which you should be able to get in the online download package of the ultimate 4.0 system menu guide.

    Edit: Which is here:
    http://gbatemp.net/index.php?showtopic=144835

    Grab the online download pack and do steps 9 and 10 to update to 4.0 and patch IOS60 to play wads from the sd card menu and if you want preloader do 11 and 12.

    Then if you want to load backups through discs, use Neogamma R6, and if you want to use a USB loader use whatever you want like Beardface's Coverflow, or USB Loader GX.
     
  6. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
    Okay thnanks for the help, sorry to sound like a noob but what is the Trucha stuff about and why does it need to be done?

    Also after I follow the guide how do I proceed onto loading games from the disc channel, can I do it by doing this guide:

    http://forums.afterdawn.com/thread_view.cfm/777675

    ontop of the guide you just told me to do?
     
  7. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    The Trucha Bug is required to install any unsigned content on your Wii and was still available on IOS's on Wii's with FW 3.2 and lower I believe. When 3.3 and 3.4 came out you needed to get the Trucha Bug back on the system by installing an older IOS16 which had the trucha bug on it and then use a custom wad manager running off of IOS16 to install a wad of a cIOS version to IOS249 (which also has the trucha bug)

    Basically everything is done to get Waninkoko's cIOS installed to IOS249. When 4.0 came out that IOS16 install was blocked so the method of downgrading IOS35 to be able to install an older IOS35 with the trucha bug was released by comex and then that was used instead of IOS16.

    Then LU64+ Wii's came around and downgrading anything killed whatever you downgraded on those. So then cboot2 came around and used MINI from bootmii as an IOS to load a custom wad manager that uses an IOS with the trucha bug straight from the SD card to install a cIOS above rev 11 in wad form (as earlier revisions don't work on LU64+ Wii's) This method currently also works on any Wii.

    Then even more recently WiiPower released this Trucha Bug Restorer which also works on any Wii and is an easier more user friendly process to downgrade IOS15 in a way that works on LU64+ Wiis and then uses that to install an IOS36 with the trucha bug intact, and then restores IOS15 to normal. Then you can use IOS36 to install your cIOS
     
  8. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    I'm not going to recommend following that as I believe CIOSCORP does way too much crap to your Wii just to load games from the disc channel instead of a backup loader channel. You could install preloader, enable the move disc channel hack, and replace the disc channel with a backup loader and achieve the same ease of use as using the disc channel and that would be a lot safer (and even provides you with more brick protection to boot having preloader.)

    Using CIOSCORP basically overwrites EVERY IOS on your system to basically just see the channel animations in the channel before you load it, and as you've already experienced a brick before I would stay away from that.

    I suggest just using a backup launcher channel of something like Neogamma R6 for disc based loading or a usb loader like USB Loader GX or Beardface's Coverflow Loader if you want to use one of those. If you want a channel for the usb loaders I would suggest a forwarder instead though so you don't have to install new channels for every update.
     
  9. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
    Ok cheers Nabster got it now, started doing the wii up, just installed hbc and dvd x step, sadly bootmii can only be installed as an ios (something about boot1 being taken up), have chosen not to install it for now and continue with the guide.

    Also can you answer my question about:

    Also after I follow the guide how do I proceed onto loading games from the disc channel, can I do it by doing this guide:

    http://forums.afterdawn.com/thread_view.cfm/777675

    ontop of the guide you just told me to do?

    Also my wii is on 3.1E firmware
     
  10. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Read my post above.

    Edit: And being on 3.1 you may not even need to do anything to restore the Trucha Bug and may just be able to directly install a cIOS with a cIOS installer. You could just try that right now with the default IOS listed and if it gives you some error -2011 or something then just follow the video for the trucha bug restorer.
     
  11. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
    Well when I got my wii (at launch datein the uk) all I use to do was twilight hack and cios 37 rev 7 installer and played my backups through the wiigators 002 gamma fix launcher, then i got greedy and wanted to play through disc channel, so i followed softmii 3.0 guide to the detail but for some reason it wasn't letting me do this step, so I switched over to a tutorial on playing through the disc and accidently missed a step by installed the cios 60B by accident and then i stupidly uninstalled it, fully bricked wii, sent back to nintendo and got back today which is where i am now.

    I'm pretty sure it'd work now if i go back to what i do, but is it needed to update to 4.0?

    Edit: Also the reason why I want to play using the disc channel is because it fixes sync issues with the guitar hero and rock band games and seeing as I play those I do want to fix it [​IMG]
     
  12. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    I haven't had any sync issues with usb loaders and guitar hero. And again I wouldn't get CIOSCORP unless you actually know what you're doing and don't need to follow a guide that you can "accidentally" miss something again.

    Also since you had a launch Wii before and the Wii you have now can't install bootmii to boot2, it is clearly not the same Wii and can possibly even be a newer LU64+ type Wii in which CIOSCORP would be even more dangerous to install.

    On that note, though I'm sure people told you before when you originally bricked your Wii, NEVER DELETE ANY IOS regardless of how you installed it or whether it's named differently. If you want to change an IOS back to normal you install a normal IOS over it, you should never have to ever delete any IOS for any good reason.
     
  13. 3dluis
    OP

    Newcomer 3dluis Member

    Joined:
    Feb 14, 2009
    Messages:
    19
    Country:
    United Kingdom
    I use the old fashion burnt DVD's [​IMG] Apparently doing the cioscorp thing on the wii will fix the sync issues with guitar hero and rock band.

    Well I've just done the tutorial (the UBER one) and is about to start the cioscorp one, I have made a nand backup using bootmii so if anythign goes wrong, preloader+bootmii and back to wii menu and i have learned my lesson. I will never delete any ios anymore as I have learned that lesson the hard way aswell [​IMG]

    I have checked the serial it is LEH198...

    Doing research I have found the equivalent of LU64+ around LEH 25 somehting so I should be okay, will tell you how everything goes and I appreciate all the help you have given me nabster92.
     

Share This Page